> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/trade/amend-algo-order/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Amend algo order POST https://www.okx.com/api/v5/trade/amend-algos Content-Type: application/json Amend unfilled algo orders (Support Stop order and Trigger order only, not including Move_order_stop order, Iceberg order, TWAP order, Trailing Stop order). Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/amend-algo-order ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `instId` (string, required) — Instrument ID - `algoId` (string, optional) — Algo ID Either `algoId` or `algoClOrdId` is required. If both are passed, `algoId` will be used. - `algoClOrdId` (string, optional) — Client-supplied Algo ID Either `algoId` or `algoClOrdId` is required. If both are passed, `algoId` will be used. - `cxlOnFail` (boolean, optional) — Whether the order needs to be automatically canceled when the order amendment fails Valid options: `false` or `true`, the default is `false`. - `reqId` (string, optional) — Client Request ID as assigned by the client for order amendment A combination of case-sensitive alphanumerics, all numbers, or all letters of up to 32 characters. The response will include the corresponding `reqId` to help you identify the request if you provide it in the request. - `newSz` (string, optional) — New quantity after amendment and it has to be larger than 0. - `newTpTriggerPx` (string, optional) — Take-profit trigger price. Either the take-profit trigger price or order price is 0, it means that the take-profit is deleted - `newTpOrdPx` (string, optional) — Take-profit order price If the price is -1, take-profit will be executed at the market price. - `newSlTriggerPx` (string, optional) — Stop-loss trigger price. Either the stop-loss trigger price or order price is 0, it means that the stop-loss is deleted - `newSlOrdPx` (string, optional) — Stop-loss order price If the price is -1, stop-loss will be executed at the market price. - `newTpTriggerPxType` (enum, optional) — Take-profit trigger price type `last`: last price `index`: index price `mark`: mark price - Allowed values: `last`, `index`, `mark` - `newSlTriggerPxType` (enum, optional) — Stop-loss trigger price type `last`: last price `index`: index price `mark`: mark price - Allowed values: `last`, `index`, `mark` - `newTriggerPx` (string, optional) — New trigger price after amendment - `newOrdPx` (string, optional) — New order price after amendment If the price is `-1`, the order will be executed at the market price. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5TradeAmendAlgosPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5TradeAmendAlgosPostResponsesContentApplicationJsonSchemaDataItems - `algoId` (string, optional) — Algo ID - `algoClOrdId` (string, optional) — Client-supplied Algo ID - `reqId` (string, optional) — Client Request ID as assigned by the client for order amendment. - `sCode` (string, optional) — The code of the event execution result, `0` means success. - `sMsg` (string, optional) — Rejection message if the request is unsuccessful. ## Examples **Request** ```json { "instId": "BTC-USDT" } ``` **Response** ```json { "code": "0", "msg": "", "data": [ { "algoId": "2510789768709120", "algoClOrdId": "algo_01", "reqId": "po103ux", "sCode": "0", "sMsg": "" } ] } ``` **SDK Code** ```python trade_amendAlgoOrder_example import requests url = "https://www.okx.com/api/v5/trade/amend-algos" payload = { "instId": "BTC-USDT" } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript trade_amendAlgoOrder_example const url = 'https://www.okx.com/api/v5/trade/amend-algos'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"instId":"BTC-USDT"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go trade_amendAlgoOrder_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/trade/amend-algos" payload := strings.NewReader("{\n \"instId\": \"BTC-USDT\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby trade_amendAlgoOrder_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/trade/amend-algos") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"instId\": \"BTC-USDT\"\n}" response = http.request(request) puts response.read_body ``` ```java trade_amendAlgoOrder_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/trade/amend-algos") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"instId\": \"BTC-USDT\"\n}") .asString(); ``` ```php trade_amendAlgoOrder_example request('POST', 'https://www.okx.com/api/v5/trade/amend-algos', [ 'body' => '{ "instId": "BTC-USDT" }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp trade_amendAlgoOrder_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/trade/amend-algos"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"instId\": \"BTC-USDT\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift trade_amendAlgoOrder_example import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = ["instId": "BTC-USDT"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/amend-algos")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```